package cz.vsb.jat2019cv5.servlets;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(urlPatterns = { "/pozdrav", "/secured/pozdrav"})
public class HelloServlet extends HttpServlet {

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		this.doPost(req, resp);
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		resp.setHeader("Content-Type", "text/html; charset=utf-8");
		try (PrintWriter pw = resp.getWriter()) {
			pw.println("<html>");
			pw.println("<head>");
			pw.println("<meta charset=\"UTF-8\">");
			pw.println(
					"<link rel=\"stylesheet\" href=\"https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css\" integrity=\"sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T\" crossorigin=\"anonymous\">");
			pw.println(
					"<script src=\"https://code.jquery.com/jquery-3.3.1.slim.min.js\" integrity=\"sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo\" crossorigin=\"anonymous\"></script>");
			pw.println(
					"<script src=\"https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js\" integrity=\"sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1\" crossorigin=\"anonymous\"></script>");
			pw.println(
					"<script src=\"https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js\" integrity=\"sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM\" crossorigin=\"anonymous\"></script>");
			pw.println("</head><body>");
			pw.println("<h1>Ahoj</h1>");
			if (req.getSession().getAttribute("logedUser") != null) {
				pw.println("<p>Jak se mas uzivateli " + req.getSession().getAttribute("logedUser") + " </p>");
			} else {
				pw.println("<p>Nejsi přihlášen.</p>");

			}
			pw.append("<p>Served at: ").append(req.getContextPath());
			pw.append("<p>");
			pw.println("<a class=\"btn btn-primary\" href=\"index.html\" role=\"button\">Index</a>");
			pw.println("<a class=\"btn btn-secondary\" href=\"login.html\" role=\"button\">Login</a>");
			pw.println("<a class=\"btn btn-danger\" href=\"logout\" role=\"button\">Logout</a>");
			pw.println("<a class=\"btn btn-success\" href=\"pozdrav\" role=\"button\">Hi page</a>");
			pw.println("</body></html>");
		}
	}

}
