package cz.vsb.jat2019cv5.servlets;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.annotation.WebFilter;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

@WebFilter(urlPatterns = { "/pozdrav", "/secured/*", "*.sec" })
public class LoginFilter implements Filter {

	@Override
	public void doFilter(ServletRequest req, ServletResponse resp, FilterChain chain)
			throws IOException, ServletException {
		HttpServletRequest httpReq = (HttpServletRequest) req;
		HttpSession session =  httpReq.getSession();
		Object userName = session.getAttribute("logedUser");
		if(userName == null || ((String)userName).isEmpty()) {
			httpReq.getRequestDispatcher("/notEnoughtRights.html").forward(req, resp);
		}
		chain.doFilter(req, resp);
	}

}
