package cz.vsb.jat2019cv5.servlets;

import java.io.IOException;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.annotation.WebFilter;

/**
 * Servlet Filter implementation class TimeFilter
 */
@WebFilter("/*")
public class TimeFilter implements Filter {

	/**
	 * Default constructor.
	 */
	public TimeFilter() {
	}

	public void destroy() {
	}

	public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain)
			throws IOException, ServletException {
		long startTime = System.nanoTime();
		chain.doFilter(request, response);
		long endTime = System.nanoTime();
		long duration = endTime - startTime;
		long durns = duration % 1000;
		duration = duration / 1000;
		
		long durus = duration % 1000;
		duration = duration / 1000;
		
		long durms = duration % 1000;
		duration = duration / 1000;
		long durs = duration % 1000;

		System.out.println(String.format(
				"Duration: %ds %dms %dus %dns", durs, durms, durus, durns));
	}

	public void init(FilterConfig fConfig) throws ServletException {
	}

}
