package cz.vsb.jat2019cv5.servlets;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@WebServlet(urlPatterns = {"/login", "/ahoj/*", "*.login"})
public class LoginServlet extends HttpServlet{

	private static final Logger LOG = LoggerFactory.getLogger(LoginServlet.class);
	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		this.doPost(req, resp);
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		LOG.info("-----------------------------------------------------------------------------");
		for(String s :req.getParameterMap().keySet()) {
			LOG.info(s + ": " + req.getParameter(s));
		}
		LOG.info("-----------------------------------------------------------------------------");
		String name = req.getParameter("name");
		String passwd = req.getParameter("passwd");
		if(name != null && passwd != null && name.length() > 0 && passwd.length() > 0 && passwd.charAt(0) == name.charAt(name.length()-1)) {
			req.getSession().setAttribute("logedUser", req.getParameter("name"));
			req.getRequestDispatcher("/pozdrav").forward(req, resp);
		} else {
			req.getRequestDispatcher("/login.html").forward(req, resp);
		}
	}

}
